## zip 1.0.0

=== DESCRIPTION ===
Package: zip
Title: Cross-Platform 'zip' Compression
Version: 1.0.0
Author: Gábor Csárdi, Kuba Podgórski, Rich Geldreich
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Cross-Platform 'zip' Compression Library. A replacement
    for the 'zip' function, that does not require any additional
    external tools on any platform.
License: CC0
LazyData: true
URL: https://github.com/gaborcsardi/zip
BugReports: https://github.com/gaborcsardi/zip/issues
RoxygenNote: 6.0.1
Suggests: covr, testthat, withr
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2017-04-25 10:54:02 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2017-04-25 14:36:39 UTC

## zip 2.0.0

=== DESCRIPTION ===
Package: zip
Title: Cross-Platform 'zip' Compression
Version: 2.0.0
Author: Gábor Csárdi, Kuba Podgórski, Rich Geldreich
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Cross-Platform 'zip' Compression Library. A replacement
    for the 'zip' function, that does not require any additional
    external tools on any platform.
License: CC0
LazyData: true
URL: https://github.com/r-lib/zip#readme
BugReports: https://github.com/r-lib/zip/issues
RoxygenNote: 6.1.1
Suggests: covr, processx, R6, testthat, withr
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2019-02-25 09:48:13 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2019-02-25 23:20:03 UTC

## zip 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: zip
 Title: Cross-Platform 'zip' Compression
-Version: 2.0.0
+Version: 2.0.1
 Author: Gábor Csárdi, Kuba Podgórski, Rich Geldreich
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Description: Cross-Platform 'zip' Compression Library. A replacement
@@ -14,6 +14,6 @@
 Suggests: covr, processx, R6, testthat, withr
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-02-25 09:48:13 UTC; gaborcsardi
+Packaged: 2019-03-11 17:58:47 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2019-02-25 23:20:03 UTC
+Date/Publication: 2019-03-11 18:20:03 UTC

## zip 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: zip
 Title: Cross-Platform 'zip' Compression
-Version: 2.0.1
+Version: 2.0.2
 Author: Gábor Csárdi, Kuba Podgórski, Rich Geldreich
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Description: Cross-Platform 'zip' Compression Library. A replacement
@@ -14,6 +14,6 @@
 Suggests: covr, processx, R6, testthat, withr
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-03-11 17:58:47 UTC; gaborcsardi
+Packaged: 2019-05-13 15:19:43 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2019-03-11 18:20:03 UTC
+Date/Publication: 2019-05-13 15:40:03 UTC

## zip 2.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: zip
 Title: Cross-Platform 'zip' Compression
-Version: 2.0.2
+Version: 2.0.3
 Author: Gábor Csárdi, Kuba Podgórski, Rich Geldreich
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Description: Cross-Platform 'zip' Compression Library. A replacement
@@ -14,6 +14,6 @@
 Suggests: covr, processx, R6, testthat, withr
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-05-13 15:19:43 UTC; gaborcsardi
+Packaged: 2019-07-03 10:27:59 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2019-05-13 15:40:03 UTC
+Date/Publication: 2019-07-03 10:50:40 UTC

## zip 2.1.0

=== DESCRIPTION ===
Package: zip
Title: Cross-Platform 'zip' Compression
Version: 2.1.0
Author: Gábor Csárdi, Kuba Podgórski, Rich Geldreich
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Cross-Platform 'zip' Compression Library. A replacement
    for the 'zip' function, that does not require any additional
    external tools on any platform.
License: CC0
LazyData: true
URL: https://github.com/r-lib/zip#readme
BugReports: https://github.com/r-lib/zip/issues
RoxygenNote: 7.1.1
Config/testthat/edition: 3
Suggests: covr, processx, R6, testthat, withr
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-08-10 16:16:09 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2020-08-10 20:10:03 UTC

## zip 2.2.1

=== DESCRIPTION ===
Package: zip
Title: Cross-Platform 'zip' Compression
Version: 2.2.1
Author: Gábor Csárdi, Kuba Podgórski, Rich Geldreich
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Cross-Platform 'zip' Compression Library. A replacement
    for the 'zip' function, that does not require any additional
    external tools on any platform.
License: MIT + file LICENSE
URL: https://github.com/r-lib/zip#readme
BugReports: https://github.com/r-lib/zip/issues
RoxygenNote: 7.2.1.9000
Config/testthat/edition: 3
Suggests: covr, processx, R6, testthat, withr
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2022-09-08 09:33:32 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2022-09-08 10:20:02 UTC

## zip 2.30

=== atari/Makefile ===
# Makefile for Zip, ZipNote, ZipCloak and ZipSplit

MAKE = make
SHELL = /bin/sh

# (to use the Gnu compiler, change cc to gcc in CC and BIND)
CC = cc
BIND = $(CC)
AS = $(CC) -c
E =
CPP = /lib/cpp

# probably can change this to 'install' if you have it
INSTALL = cp

# target directories - where to install executables and man pages to
BINDIR = /usr/local/bin
manext=1
MANDIR = /usr/local/man/man$(manext)

# flags
#   CFLAGS    flags for C compile
#   LFLAGS1   flags after output file spec, before obj file list
#   LFLAGS2   flags after obj file list (libraries, etc)
CFLAGS = -O
LFLAGS1 =
LFLAGS2 = -s

# object file lists
OBJZ = zip.o zipfile.o zipup.o fileio.o util.o crc32.o crctab.o globals.o \
	crypt.o ttyio.o atari.o

OBJI = deflate.o trees.o
OBJA =
OBJU = zipfile_.o fileio_.o util_.o globals.o atari_.o
OBJN = zipnote.o  $(OBJU)
OBJC = zipcloak.o $(OBJU) crctab.o crypt_.o ttyio.o
OBJS = zipsplit.o $(OBJU)

ZIP_H = zip.h ziperr.h tailor.h atari/osdep.h

# suffix rules
.SUFFIXES:
.SUFFIXES: _.o .o .c .doc .1
.c_.o:
	rm -f $*_.c; ln $< $*_.c
	$(CC) $(CFLAGS) -DUTIL -c $*_.c
	rm -f $*_.c
.c.o:
	$(CC) $(CFLAGS) -c $<

.1.doc:
	nroff -man $< | col -b | uniq > $@

# rules for zip, zipnote, zipcloak, zipsplit, and the Zip MANUAL.
$(OBJZ): $(ZIP_H)
$(OBJI): $(ZIP_H)
$(OBJN): $(ZIP_H)
$(OBJS): $(ZIP_H)
$(OBJC): $(ZIP_H)
zip.o zipup.o crypt.o ttyio.o zipcloak.o crypt_.o:  crypt.h
zip.o zipup.o zipnote.o zipcloak.o zipsplit.o: revision.h
zip.o crypt.o ttyio.o zipcloak.o crypt_.o: ttyio.h
zipup.o: atari/zipup.h

match.o: match.s
	$(CPP) match.s > _match.s
	$(AS) _match.s
	mv _match.o match.o
	rm -f _match.s

ZIPS = zip$E zipnote$E zipsplit$E zipcloak$E

zips: $(ZIPS)
zipsman: $(ZIPS) $(ZIPMANUAL)

zip$E: $(OBJZ) $(OBJI) $(OBJA)
	$(BIND) -o zip$E $(LFLAGS1) $(OBJZ) $(OBJI) $(OBJA) $(LFLAGS2)
zipnote$E: $(OBJN)
	$(BIND) -o zipnote$E $(LFLAGS1) $(OBJN) $(LFLAGS2)
zipcloak$E: $(OBJC)
	$(BIND) -o zipcloak$E $(LFLAGS1) $(OBJC) $(LFLAGS2)
zipsplit$E: $(OBJS)
	$(BIND) -o zipsplit$E $(LFLAGS1) $(OBJS) $(LFLAGS2)

$(ZIPMANUAL): man/zip.1
	nroff -man man/zip.1 | col -b | uniq > $(ZIPMANUAL)

# install
install:        $(ZIPS)
	$(INSTALL) $(ZIPS) $(BINDIR)
	$(INSTALL) man/zip.1 $(MANDIR)/zip.$(manext)

uninstall:
	-cd $(BINDIR); rm -f $(ZIPS)
	-cd $(MANDIR); rm -f zip.$(manext)

dist: $(ZIPMANUAL)
	zip -u9T zip`sed -e '/VERSION/!d' -e 's/.*"\(.*\)".*/\1/' \
			  -e s/[.]//g -e q revision.h` \
	  `awk '/^Makefile/,/vms_zip.rnh/ {print $$1}' < contents`

# ATARI version (gcc 2.5.8 and Mintlibs PL46)
atari:
	$(MAKE) zips CFLAGS="-O -DATARI" OBJA=atari/atari.o CC=gcc E=.ttp

# clean up after making stuff and installing it
clean:
	rm -f *.o $(ZIPS) flags

=== unix/Makefile ===
# Makefile for Zip, ZipNote, ZipCloak and ZipSplit

# what you can make ...
all:
	@echo ''
	@echo 'Make what?  You must say what system to make Zip for--e.g.'
	@echo '"make generic".  Choices: generic, generic_gcc,'
	@echo 'att6300nodir, coherent, cray_v3, lynx, minix, os390, qnx,'
	@echo 'qnxnto, solaris, solaris_gcc'
	@echo 'See the files INSTALL and zip.txt for more information.'
	@echo ''

list:   all

MAKE = make -f unix/Makefile
SHELL = /bin/sh
LN = ln -s

# (to use the Gnu compiler, change cc to gcc in CC)
CC = cc
BIND = $(CC)
AS = $(CC) -c
E =
CPP = /lib/cpp

# probably can change this to 'install' if you have it
INSTALL = cp
# probably can change this to 'install -d' if you have it
# XXX NextStep 3.3 and Openstep 4.x don't know about -p !
INSTALL_D = mkdir -p
CHMOD = chmod
BINFLAGS = 555
MANFLAGS = 444

# target directories - where to install executables and man pages to
prefix = /usr/local
BINDIR = $(prefix)/bin
manext=1
MANDIR = $(prefix)/man/man$(manext)
ZIPMANUAL = MANUAL
PKGDIR = IZzip
VERSION = Version 2.3

# flags
#   CFLAGS    flags for C compile
#   LFLAGS1   flags after output file spec, before obj file list
#   LFLAGS2   flags after obj file list (libraries, etc)
CFLAGS = -O2 -I. -DUNIX $(LOCAL_ZIP)
LFLAGS1 =
LFLAGS2 = -s

# object file lists
OBJZ = zip.o zipfile.o zipup.o fileio.o util.o globals.o crypt.o ttyio.o \
       unix.o crc32.o crctab.o
OBJI = deflate.o trees.o
OBJA =
OBJU = zipfile_.o fileio_.o util_.o globals.o unix_.o
OBJN = zipnote.o  $(OBJU)
OBJC = zipcloak.o $(OBJU) crctab.o crypt_.o ttyio.o
OBJS = zipsplit.o $(OBJU)

ZIP_H = zip.h ziperr.h tailor.h unix/osdep.h

# suffix rules
.SUFFIXES:
.SUFFIXES: _.o .o .c .doc .1
.c_.o:
	rm -f $*_.c; $(LN) $< $*_.c
	$(CC) -c $(CFLAGS) -DUTIL $*_.c
	rm -f $*_.c
.c.o:
	$(CC) -c $(CFLAGS) $<

.1.doc:
	nroff -man $< | col -b | uniq > $@

# rules for zip, zipnote, zipcloak, zipsplit, and the Zip MANUAL.
$(OBJZ): $(ZIP_H)
$(OBJI): $(ZIP_H)
$(OBJN): $(ZIP_H)
$(OBJS): $(ZIP_H)
$(OBJC): $(ZIP_H)
zip.o zipup.o crypt.o ttyio.o zipcloak.o crypt_.o: crypt.h
zip.o zipup.o zipnote.o zipcloak.o zipsplit.o: revision.h
zip.o crypt.o ttyio.o zipcloak.o crypt_.o: ttyio.h
zipup.o: unix/zipup.h

match.o: match.S
	$(CPP) match.S > _match.s
	$(AS) _match.s
	mv _match.o match.o
	rm -f _match.s

crc_i386.o: crc_i386.S
	$(CPP) crc_i386.S > crc_i386.s
	$(AS) crc_i386.s
	rm -f crc_i386.s

unix.o: unix/unix.c
	$(CC) -c $(CFLAGS) unix/unix.c

unix_.o: unix/unix.c
	rm -f unix_.c; $(LN) unix/unix.c unix_.c
	$(CC) -c $(CFLAGS) -DUTIL unix_.c
	rm -f unix_.c

ZIPS = zip$E zipnote$E zipsplit$E zipcloak$E

zips: $(ZIPS)
zipsman: $(ZIPS) $(ZIPMANUAL)

zip$E: $(OBJZ) $(OBJI) $(OBJA)
	$(BIND) -o zip$E $(LFLAGS1) $(OBJZ) $(OBJI) $(OBJA) $(LFLAGS2)
zipnote$E: $(OBJN)
	$(BIND) -o zipnote$E $(LFLAGS1) $(OBJN) $(LFLAGS2)
zipcloak$E: $(OBJC)
	$(BIND) -o zipcloak$E $(LFLAGS1) $(OBJC) $(LFLAGS2)
zipsplit$E: $(OBJS)
	$(BIND) -o zipsplit$E $(LFLAGS1) $(OBJS) $(LFLAGS2)

$(ZIPMANUAL): man/zip.1
	nroff -man man/zip.1 | col -b | uniq > $(ZIPMANUAL)


# install
install:        $(ZIPS)
	-$(INSTALL_D) $(BINDIR)
	$(INSTALL) $(ZIPS) $(BINDIR)
	-cd $(BINDIR); $(CHMOD) $(BINFLAGS) $(ZIPS)
	-$(INSTALL_D) $(MANDIR)
	$(INSTALL) man/zip.1 $(MANDIR)/zip.$(manext)
	$(CHMOD) $(MANFLAGS) $(MANDIR)/zip.$(manext)

uninstall:
	-cd $(BINDIR); rm -f $(ZIPS)
	-cd $(MANDIR); rm -f zip.$(manext)

flags:  unix/configure
	sh unix/configure "${CC}" "${CFLAGS}"

# These symbols, when #defined using -D have these effects on compilation:
# ZMEM                  - includes C language versions of memset(), memcpy(),
#                         and memcmp() (util.c).
# HAVE_DIRENT_H         - use <dirent.h> instead of <sys/dir.h>
# NODIR                 - for 3B1, which has neither getdents() nor opendir().
# HAVE_NDIR_H           - use <ndir.h> (unix/unix.c).
# HAVE_SYS_DIR_H        - use <sys/dir.h>
# HAVE_SYS_NDIR_H       - use <sys/ndir.h>
# UTIL                  - select routines for utilities (note, cloak, split)
# NO_RMDIR              - remove directories using a system("rmdir ...") call.
# NO_PROTO              - cannot handle ANSI prototypes
# NO_CONST              - cannot handle ANSI const

#               Generic targets:

generic: flags
	eval $(MAKE) zips `cat flags`

generic_gcc:
	$(MAKE) generic CC=gcc CPP="gcc -E"

# AT&T 6300 PLUS (don't know yet how to allocate 64K bytes):
att6300nodir:
	$(MAKE) zips LFLAGS1="-Ml -s" \
	CFLAGS="-DUNIX -I. -O -Ml -DNO_RMDIR -DDYN_ALLOC -DMEDIUM_MEM \
-DWSIZE=16384 -DNO_STDLIB_H -DNO_STDDEF_H -DNO_RENAME \
-DNO_MKTIME -DNO_SIZE_T -DNO_VOID -DNO_PROTO -DNO_DIR \
-DNO_CONST -DHAVE_TERMIO_H" \
	"LFLAGS2="

# Coherent (AS definition not needed for gcc)
coherent:
	$(MAKE) zips CFLAGS="-DUNIX -I. -O -DDIRENT -DASMV" AS="as -gx" \
		     OBJA=match.o

# Cray Unicos 6.1, Standard C compiler 3.0 (all routines except trees.c
# may be compiled with vector3; internal compiler bug in 3.0.2.3 and
# earlier requires vector2 for trees.c)
cray_v3:
	$(MAKE) zips CC="scc" \
		CFLAGS="-DUNIX -I. -O -h vector2 -h scalar3 -DHAVE_DIRENT_H"

# LynxOS
lynx:
	$(MAKE) generic CC=gcc CPP="gcc -E" CFLAGS="$(CFLAGS) -DNO_UNDERLINE -DLynx -DLYNX LFLAGS2="$LFLAGS2 -lc_p"

# MINIX 1.5.10 with Bruce Evans 386 patches and gcc/GNU make
minix:
	$(MAKE) zips CFLAGS="-DUNIX -I. -O -DDIRENT -DMINIX" CC=gcc
	chmem =262144 zip

# IBM OS/390 (formerly MVS) compiled under "OpenEdition" shell
# You can make the zip executable with IBM's make, but you will
# get errors dealing with the _.o targets for the other executables
# (zipcloak, etc).  GNU make will build all the executables.
# If you have GNU make in your path as gmake, uncomment the following:
#MAKE = gmake -f unix/Makefile
os390:
	${MAKE} zips CFLAGS="$(CF) -I. -DUNIX -DOS390 -DEBCDIC -DSYSV \
-DSYSV -DNO_PARAM_H" LFLAGS2=""

# QNX is "special" because out /bin/sh is ksh and it doesn't grok the
# configure script properly, generating a bad flags file.  D'oh! [cjh]
#
# QNX/Neutrino is "special" because you don't have any native development
# tools yet.  Set ARCH to "x86", "ppcbe", "ppcle", "mipsbe", or "mipsle"
# to produce x86, PowerPC (big- or little-endian) and MIPS (big-
# or little-endian) using gcc. [cjh]
qnx:
	$(MAKE) zips LN=ln CC=cc CFLAGS="-DUNIX -I. -O -DHAVE_DIRENT_H \
-DHAVE_TERMIOS_H -DNO_MKTEMP"

qnxnto:
	@if [ "$(ARCH)" = "" ] ; then \
		echo "You didn't set ARCH; I'll assume you meant ARCH=x86..." ; \
		echo "" ; \
		$(MAKE) zips LN=ln CC="qcc -Vgcc_ntox86" \
			CFLAGS="-g -DUNIX -I. -O -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DNO_MKTEMP" \
			LFLAGS2=-g ; \
	else \
		echo "Making zip for $(ARCH)..." ; \
		echo "" ; \
		$(MAKE) zips LN=ln CC="qcc -Vgcc_nto$(ARCH)" \
			CFLAGS="-g -DUNIX -I. -O -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DNO_MKTEMP" \
			LFLAGS2=-g ; \
	fi

# Solaris:  Generic, plus generation of installable package.
solaris:	generic svr4package

# Solaris with GCC: generic_gcc, plus generation of installable package
solaris_gcc:	generic_gcc svr4package

# Package generation interface (by JBush). Originally tested under Sun Solaris.
# Other SVr4s may be very similar, and could possibly use this.
# Note:  Expects version info to be stored in VERSION macro variable.
# See "README" under ./unix/Packaging
svr4package:
	@echo "Creating SVR4 package for Unix ..."
	-@rm -rf ./$(PKGDIR) ./$(PKGDIR)_`uname -p`.pkg
	-@sed -e "s/.VERSION./$(VERSION)/g" \
	      -e "s/.PSTAMP./$(LOGNAME)_`date | tr  ' ' '_'`/g" \
	      -e "s/.ARCH./Solaris_`uname -rp | tr ' ' ','`/g" \
	      ./unix/Packaging/pkginfo.in > ./unix/Packaging/pkginfo
	-@sed -e "s/.ARCH./`uname -p`/g" \
	      ./unix/Packaging/preinstall.in > ./unix/Packaging/preinstall
	/usr/bin/pkgmk -d . -b . -r . -f ./unix/Packaging/prototype $(PKGDIR)
	/usr/bin/pkgtrans -o -s . $(PKGDIR)_`uname -p`.pkg $(PKGDIR)
	@echo " "
	@echo "To install, copy $(PKGDIR)_`uname -p`.pkg to the target system, and"
	@echo "issue the command (as root):  pkgadd -d $(PKGDIR)_`uname -p`.pkg"
	@echo " "

# make a distribution
dist:	$(ZIPMANUAL)
	eval zip -r9 zip`sed -e '/VERSION/!d' -e 's/.*"\(.*\)".*/\1/' \
			  -e 's/[.]//g' -e 's/ .*//g' -e q revision.h` *

# clean up after making stuff and installing it
clean:
	rm -f *.o $(ZIPS) flags
	rm -rf $(PKGDIR)

## zip 2.31-4

=== unix/Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 	@echo ''
 	@echo 'Make what?  You must say what system to make Zip for--e.g.'
 	@echo '"make generic".  Choices: generic, generic_gcc,'
-	@echo 'att6300nodir, coherent, cray_v3, lynx, minix, os390, qnx,'
-	@echo 'qnxnto, solaris, solaris_gcc'
+	@echo 'att6300nodir, coherent, cray_v3, cygwin, lynx, minix,'
+	@echo 'os390, qnx, qnxnto, solaris, solaris_gcc'
 	@echo 'See the files INSTALL and zip.txt for more information.'
 	@echo ''
 
@@ -20,17 +20,18 @@
 CC = cc
 BIND = $(CC)
 AS = $(CC) -c
-E =
 CPP = /lib/cpp
+EXE =
 
 # probably can change this to 'install' if you have it
 INSTALL = cp
+INSTALL_PROGRAM = cp
 # probably can change this to 'install -d' if you have it
 # XXX NextStep 3.3 and Openstep 4.x don't know about -p !
 INSTALL_D = mkdir -p
 CHMOD = chmod
-BINFLAGS = 555
-MANFLAGS = 444
+BINFLAGS = 755
+MANFLAGS = 644
 
 # target directories - where to install executables and man pages to
 prefix = /usr/local
@@ -39,7 +40,7 @@
 MANDIR = $(prefix)/man/man$(manext)
 ZIPMANUAL = MANUAL
 PKGDIR = IZzip
-VERSION = Version 2.3
+VERSION = Version 2.31
 
 # flags
 #   CFLAGS    flags for C compile
@@ -72,7 +73,7 @@
 	$(CC) -c $(CFLAGS) $<
 
 .1.doc:
-	nroff -man $< | col -b | uniq > $@
+	nroff -man $< | col -bx | uniq > $@
 
 # rules for zip, zipnote, zipcloak, zipsplit, and the Zip MANUAL.
 $(OBJZ): $(ZIP_H)
@@ -92,9 +93,10 @@
 	rm -f _match.s
 
 crc_i386.o: crc_i386.S
-	$(CPP) crc_i386.S > crc_i386.s
-	$(AS) crc_i386.s
-	rm -f crc_i386.s
+	$(CPP) crc_i386.S > _crc_i386.s
+	$(AS) _crc_i386.s
+	mv _crc_i386.o crc_i386.o
+	rm -f _crc_i386.s
 
 unix.o: unix/unix.c
 	$(CC) -c $(CFLAGS) unix/unix.c
@@ -104,28 +106,28 @@
 	$(CC) -c $(CFLAGS) -DUTIL unix_.c
 	rm -f unix_.c
 
-ZIPS = zip$E zipnote$E zipsplit$E zipcloak$E
+ZIPS = zip$(EXE) zipnote$(EXE) zipsplit$(EXE) zipcloak$(EXE)
 
 zips: $(ZIPS)
 zipsman: $(ZIPS) $(ZIPMANUAL)
 
-zip$E: $(OBJZ) $(OBJI) $(OBJA)
-	$(BIND) -o zip$E $(LFLAGS1) $(OBJZ) $(OBJI) $(OBJA) $(LFLAGS2)
-zipnote$E: $(OBJN)
-	$(BIND) -o zipnote$E $(LFLAGS1) $(OBJN) $(LFLAGS2)
-zipcloak$E: $(OBJC)
-	$(BIND) -o zipcloak$E $(LFLAGS1) $(OBJC) $(LFLAGS2)
-zipsplit$E: $(OBJS)
-	$(BIND) -o zipsplit$E $(LFLAGS1) $(OBJS) $(LFLAGS2)
+zip$(EXE): $(OBJZ) $(OBJI) $(OBJA)
+	$(BIND) -o zip$(EXE) $(LFLAGS1) $(OBJZ) $(OBJI) $(OBJA) $(LFLAGS2)
+zipnote$(EXE): $(OBJN)
+	$(BIND) -o zipnote$(EXE) $(LFLAGS1) $(OBJN) $(LFLAGS2)
+zipcloak$(EXE): $(OBJC)
+	$(BIND) -o zipcloak$(EXE) $(LFLAGS1) $(OBJC) $(LFLAGS2)
+zipsplit$(EXE): $(OBJS)
+	$(BIND) -o zipsplit$(EXE) $(LFLAGS1) $(OBJS) $(LFLAGS2)
 
 $(ZIPMANUAL): man/zip.1
-	nroff -man man/zip.1 | col -b | uniq > $(ZIPMANUAL)
+	nroff -man man/zip.1 | col -bx | uniq > $(ZIPMANUAL)
 
 
 # install
 install:        $(ZIPS)
 	-$(INSTALL_D) $(BINDIR)
-	$(INSTALL) $(ZIPS) $(BINDIR)
+	$(INSTALL_PROGRAM) $(ZIPS) $(BINDIR)
 	-cd $(BINDIR); $(CHMOD) $(BINFLAGS) $(ZIPS)
 	-$(INSTALL_D) $(MANDIR)
 	$(INSTALL) man/zip.1 $(MANDIR)/zip.$(manext)
@@ -179,6 +181,10 @@
 cray_v3:
 	$(MAKE) zips CC="scc" \
 		CFLAGS="-DUNIX -I. -O -h vector2 -h scalar3 -DHAVE_DIRENT_H"
+
+# Cygwin
+cygwin:
+	$(MAKE) generic CC="gcc" CPP="gcc -E" EXE=".exe"
 
 # LynxOS
 lynx:

=== debian/changelog ===
zip (2.31-4) unstable; urgency=low

  * Package for Maemo

 -- Daniel Martin Yerga <dyerga@gmail.com>  Wed,  2 Aug 2005 12:03:26 +0200

zip (2.31-3) unstable; urgency=low

  * Put manpages in section 1, not 1L (Closes #308045).
  * Fixed another typo (Closes: #309877).

 -- Santiago Vila <sanvila@debian.org>  Wed, 25 May 2005 16:03:26 +0200

zip (2.31-2) unstable; urgency=low

  * Fixed manpage typo (Closes: #301914).

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Apr 2005 19:23:48 +0200

zip (2.31-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Wed, 23 Mar 2005 20:12:12 +0100

zip (2.30-8) unstable; urgency=medium

  * Applied patch for Bug#279867 (CAN-2004-1010) by Greg Roelofs.
    Based on the patch by Josh Bressers, this one actually makes long
    filenames to be supported, as the string `name' is now allocated
    dynamically.

 -- Santiago Vila <sanvila@debian.org>  Mon, 15 Nov 2004 17:06:32 +0100

zip (2.30-7) unstable; urgency=medium

  * Fixed buffer overflow in unix.c, which happens when creating archives
    with very long file names (Closes: #279867). This is CAN-2004-1010.
    Patch by Martin Pitt, gives an error if len >= FNMAX. Thanks a lot.

 -- Santiago Vila <sanvila@debian.org>  Wed, 10 Nov 2004 19:10:28 +0100

zip (2.30-6) unstable; urgency=low

  * Removed doc symlinks.
  * Check for strchr using -fno-builtin to make gcc happy.
  * Added DEB_BUILD_OPTIONS support for noopt, dropped debug.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Aug 2003 13:26:10 +0200

zip (2.30-5) unstable; urgency=low

  * Moved from non-US/main to main. Section: utils.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Mar 2002 15:56:28 +0100

zip (2.30-4) unstable; urgency=low

  * Added support for DEB_BUILD_OPTIONS.
  * Updated upstream URL in copyright file.

 -- Santiago Vila <sanvila@debian.org>  Sun, 11 Nov 2001 16:19:30 +0100

zip (2.30-3) unstable; urgency=low

  * Added encryption support, moved to non-US/main.
  * Install man symlinks for zipnote, zipsplit and zipcloak, following
    clarified policy about this (Closes: #99575).
  * Modified unix/unix.c to compile under gcc-3.0/glibc-2.2 where printf
    is now a macro (Closes: #99659). Patch by Matthew Wilcox, modified
    later by Christian Spieler.
  * Removed some redundant bits from extended description.
  * Conflicts and Replaces are now versioned.
  * Recommends: unzip again.

 -- Santiago Vila <sanvila@debian.org>  Mon, 18 Jun 2001 17:37:32 +0200

zip (2.30-2) unstable; urgency=low

  * Updated upstream URL in copyright file.

 -- Santiago Vila <sanvila@debian.org>  Mon,  1 Jan 2001 18:09:38 +0100

zip (2.30-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.1.1.
  * Removed Recommends: unzip.
  * Fixed URL location in copyright file.
  * Moved to main. License is now DFSG-compliant.
  * copyright file generated from `LICENSE' file.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 12 Jan 2000 13:22:41 +0100

zip (2.20-3) unstable; urgency=low

  * copyright file is not generated from README anymore (Bug #35019).
    The result was not completely appropriate for a copyright file.
  * Removed `email-from-greg' file, since it did not have any real value.

 -- Santiago Vila <sanvila@ctv.es>  Sun,  4 Apr 1999 00:31:55 +0200

zip (2.20-2) unstable; urgency=low

  * Conflicts: zip-crypt, Replaces: zip-crypt.

 -- Santiago Vila <sanvila@ctv.es>  Wed,  3 Dec 1997 17:46:34 +0100

zip (2.20-1) unstable; urgency=low

  * `copyright' file is generated from README automatically.
  * New upstream release, using pristine source.
  * Distribution unstable, Section non-free.
  * build is no longer a PHONY target.
  * Added WHATSNEW to /usr/doc/zip.
  * First libc6 release.
  * Added md5sums.

 -- Santiago Vila <sanvila@ctv.es>  Tue,  4 Nov 1997 20:54:11 +0100

zip (2.10-4) unstable; urgency=low

  * Simplified debian/rules a little bit.
  * Changed section from `misc' to `utils'.
  * Removed spurious symlinks for zipsplit and zipnote. If some automated
    bug reporting program complains, it's a bug in the automated reporting
    program, not our fault.
  * Copied `history' as is. Added the symlink changelog -> history.
  * Added TODO to /usr/doc/zip.
  * New maintainer.

 -- Santiago Vila <sanvila@ctv.es>  Sun, 16 Feb 1997 19:05:35 +0100

zip (2.10-3) unstable; urgency=low

  * removed zipcloak from the distribution (no encryption)
  * added symlinks to zip.1.gz for zipsplit and zipnote. Useless - man
    picks it up even without symlinks - but it'll at least stop automated
    bug reports complaining about the "lack".
  * renamed the Debian changelog
  * installed the upstream changelog
  * gzipped the copyright notice

 -- Stuart Lamble <lamble@yoyo.cc.monash.edu.au>  Wed, 8 Jan 1996 19:39:00 +1100

zip (2.10-2) unstable; urgency=low

  * New Debian revision: I uploaded the wrong copy of zip_2.10-1. Oops.

 -- Stuart Lamble <lamble@yoyo.cc.monash.edu.au>  Sat, 16 Nov 1996 18:17:00 +1100

zip (2.10-1) unstable; urgency=low

  * New upstream version (InfoZIP's 2.1, which is being called 2.10 for
    Debian: InfoZIP view this as an identical version number.)
  * Modified the copyright to include the copyright from 2.1 - just in case
    it's changed.
  * corrected several bugs in the rules script - all should work fine now.
  * removed zipgrep from the zip package (it's in unzip, where it really
    belongs.)

 -- Stuart Lamble <lamble@yoyo.cc.monash.edu.au>  Wed, 13 Nov 1996 19:35:24 +1100

zip (2.01-14) unstable; urgency=low

  * Stripped the installed binaries
  * Upgraded to the 2.1.1.0 source format
  * Received email from the upstream maintainers: zip can now go into
    the distribution proper. Yippee! :-)
  * Added the email in question to the copyright information document.

 -- Stuart Lamble <lamble@yoyo.cc.monash.edu.au>  Sat, 19 Oct 1996 18:33:55 +1000


30 July 1996 Stuart Lamble <lamble@yoyo.cc.monash.edu.au>
* New maintainer.


=== debian/control ===
Source: zip
Section: user/utils
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Standards-Version: 3.6.1

Package: zip
Architecture: i386
Depends: ${shlibs:Depends}
Recommends: unzip
Conflicts: zip-crypt (<= 2.30-2)
Replaces: zip-crypt (<= 2.30-2)
Description: Archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)

=== debian/rules ===
#!/usr/bin/make -f

package = zip
docdir = debian/tmp/usr/share/doc/$(package)
dirbin = debian/tmp/usr/bin
CC = gcc
CFLAGS = -g -Wall -I. -DUNIX
INSTALL_PROGRAM = install

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

build:
	$(checkdir)
	unix/configure "$(CC)" "$(CFLAGS)"
	$(MAKE) -f unix/Makefile generic
	touch build

clean:
	$(checkdir)
	rm -f build
	-$(MAKE) -f unix/Makefile clean
	rm -rf debian/tmp debian/files* debian/*~ debian/*.bak debian/substvars

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	mkdir $(dirbin)
	cp zip $(dirbin)/	
	chmod 755 debian/tmp/usr/bin/*
	cat debian/copyright.in LICENSE > $(docdir)/copyright
	dpkg-shlibdeps zip
	dpkg-gencontrol -isp
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R root:root debian/tmp
	chmod -R u+w,go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package).c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## zip 2.32

=== unix/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # probably can change this to 'install' if you have it
 INSTALL = cp
-INSTALL_PROGRAM = cp
+INSTALL_PROGRAM = $(INSTALL)
 # probably can change this to 'install -d' if you have it
 # XXX NextStep 3.3 and Openstep 4.x don't know about -p !
 INSTALL_D = mkdir -p
@@ -40,13 +40,14 @@
 MANDIR = $(prefix)/man/man$(manext)
 ZIPMANUAL = MANUAL
 PKGDIR = IZzip
-VERSION = Version 2.31
+VERSION = Version 2.32
 
 # flags
 #   CFLAGS    flags for C compile
 #   LFLAGS1   flags after output file spec, before obj file list
 #   LFLAGS2   flags after obj file list (libraries, etc)
-CFLAGS = -O2 -I. -DUNIX $(LOCAL_ZIP)
+CFLAGS_NOOPT = -I. -DUNIX $(LOCAL_ZIP)
+CFLAGS = -O2 $(CFLAGS_NOOPT)
 LFLAGS1 =
 LFLAGS2 = -s
 
@@ -138,7 +139,7 @@
 	-cd $(MANDIR); rm -f zip.$(manext)
 
 flags:  unix/configure
-	sh unix/configure "${CC}" "${CFLAGS}"
+	sh unix/configure "${CC}" "${CFLAGS_NOOPT}"
 
 # These symbols, when #defined using -D have these effects on compilation:
 # ZMEM                  - includes C language versions of memset(), memcpy(),
@@ -203,7 +204,7 @@
 #MAKE = gmake -f unix/Makefile
 os390:
 	${MAKE} zips CFLAGS="$(CF) -I. -DUNIX -DOS390 -DEBCDIC -DSYSV \
--DSYSV -DNO_PARAM_H" LFLAGS2=""
+-DNO_PARAM_H" LFLAGS2=""
 
 # QNX is "special" because out /bin/sh is ksh and it doesn't grok the
 # configure script properly, generating a bad flags file.  D'oh! [cjh]

## zip 2.32-1maemo1

=== debian/changelog ===
zip (2.32-1maemo1) diablo; urgency=low

  * All-new packaging, with new bells and whistles
  * Removed docs from package, which will be deleted anyway by docpurge
  * Added the official Info-Zip icon to the package

 -- Andrew Zabolotny <zap@homelink.ru>  Thu, 31 Jul 2008 02:31:32 +0400

zip (2.32-1) unstable; urgency=low

  * New upstream release.
  * Changed unix/configure to not break DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Thu,  6 Jul 2006 18:53:40 +0200

## zip 2.32-1maemo2

=== debian/changelog ===
zip (2.32-1maemo2) hardy; urgency=low

  * Increased version number to force builder to re-index the package

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 09 Aug 2008 18:04:41 +0400

=== debian/control ===
Source: zip
Section: user/tools
Priority: optional
Maintainer: Andrew Zabolotny <zap@homelink.ru>
XSBC-Original-Maintainer: Daniel Martin Yerga <dyerga@gmail.com>, Danny Milosavljevic <danny.milo@gmx.net>
Standards-Version: 3.6.1

Package: zip
Architecture: any
Depends: ${shlibs:Depends}
Recommends: unzip
Conflicts: zip-crypt (<= 2.30-2), zip3
Replaces: zip-crypt (<= 2.30-2), zip3
Description: Command-line archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)
 .
 This version supports encryption.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaBAMAAABbZFH9AAAAAXNSR0IArs4c6QAAAB5QTFRFACEA
 AAAAIGG4Xl5efn5+gICAyOj/yMjI7Ozs+Pz4ZRPnrQAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1I
 AAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2AgHEQYDTal44QAAAKtJREFUGNNlkD0OwyAM
 Rj/GblQdoqwMkTJWvQI9QAYOkbFDhHKASh0RVaT4trUd8qd+Ew8eNgYAzLXEMqCiJVOnNAXO/HkX
 Em2OQyG+YJR4V86sYb1DFWPkW9YEoVIvQTuQczm7PuHyvQPU5pypTTDji4maQg9iyv3RbMSk1ZQq
 SmqeOkh37701OsP2sn2G7dX/E0WJzsC5PcMSpfMvAbWoYwHUg4g7HUSsqx+zI1UDZVmHoQAAAABJ
 RU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f

PKG_VERSION = 2.32
DEB_TARBALL = zip232.zip
DEB_TAR_SRCDIR = .
DEB_DH_INSTALL_SOURCEDIR = build-tree/$(DEB_TAR_SRCDIR)

CC = gcc
CFLAGS = -s -Wall -I. -DUNIX

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

clean::
	rm -f *.cdbs-config_list debian/stamp-*

configure/zip::
	cd $(DEB_DH_INSTALL_SOURCEDIR) && \
	$(MAKE) -f unix/Makefile flags CC="$(CC)" CFLAGS_NOOPT="$(CFLAGS)"

common-build-arch common-build-indep:: debian/stamp-build
debian/stamp-build:
	cd $(DEB_DH_INSTALL_SOURCEDIR) && \
	$(MAKE) -f unix/Makefile generic

binary-post-install/zip::
	rm -rf debian/zip/usr/share
